<?php

namespace Litepci\Requirement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FamilyTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Requirement\Models\Family $family)
    {
        return [
            'id'                => $family->getRouteKey(),
            'key'               => [
                'public'    => $family->getPublicKey(),
                'route'     => $family->getRouteKey(),
            ], 
            'id'                => $family->id,
            'version_id'        => $family->version_id,
            'name'              => $family->name,
            'slug'              => $family->slug,
            'user_id'           => $family->user_id,
            'user_type'         => $family->user_type,
            'created_at'        => $family->created_at,
            'updated_at'        => $family->updated_at,
            'deleted_at'        => $family->deleted_at,
            'url'               => [
                'public'    => trans_url('requirement/'.$family->getPublicKey()),
                'user'      => guard_url('requirement/family/'.$family->getRouteKey()),
            ], 
            'status'            => trans('app.'.$family->status),
            'created_at'        => format_date($family->created_at),
            'updated_at'        => format_date($family->updated_at),
        ];
    }
}