<?php

namespace Litepci\Requirement;

use User;

class Requirement
{
    /**
     * $family object.
     */
    protected $family;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Requirement\Interfaces\FamilyRepositoryInterface $family)
    {
        $this->family = $family;
    }

    /**
     * Returns count of requirement.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.family.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->family->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\FamilyUserCriteria());
        }

        $family = $this->family->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('requirement::' . $view, compact('family'))->render();
    }
}
